Page MenuHomeFreeBSD

sysutils/rundeck3: update to 3.4.10
ClosedPublic

Authored by fuz on Feb 16 2023, 1:11 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 30, 7:51 PM
Unknown Object (File)
Sun, Jun 30, 2:45 AM
Unknown Object (File)
Thu, Jun 27, 1:42 PM
Unknown Object (File)
Jun 23 2024, 7:21 PM
Unknown Object (File)
Jun 17 2024, 6:35 PM
Unknown Object (File)
Jun 16 2024, 5:52 AM
Unknown Object (File)
Jun 5 2024, 11:42 PM
Unknown Object (File)
Jun 4 2024, 1:08 AM
Subscribers

Details

Summary
sysutils/rundeck3: update to 3.4.10

 - use options -H amd -o to daemon(8) for logging

Changelog: https://docs.rundeck.com/docs/history/3_4_x/version-3.4.10.html

MFH:		2023Q1
PR:		261748
Reported by:	ruben@verweg.com
Approved by:	... (mentor)

MFH due to security fix (see D38636).

Test Plan

Tested with Poudriere on i386 amd64 FreeBSD 12.4 13.1. Arm64 tests pending.
See test results at: http://fuz.su/~fuz/freebsd/batch2

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

fuz requested review of this revision.Feb 16 2023, 1:11 PM

ARM64 test results have arrived.

sysutils/rundeck3/Makefile
35

Is .include <bsd.port.pre.mk> and .include <bsd.port.post.mk> needed around if conditions?

.if ${RUNDECK_USER} == "rundeck"
USERS=          rundeck
.endif
.if ${RUNDECK_GROUP} == "rundeck"
GROUPS=         rundeck
.endif

portlint doesn't complain about it and port seems to build fine.

This is an artifact of an obsolete ${OSVERSION} check from an earlier version of the patch. Thank you for catching this. Will remove it.

fuz marked an inline comment as done.Feb 18 2023, 9:55 AM

The proposed commit message is now:

sysutils/rundeck3: update to 3.4.10
    
 - use options -H amd -o to daemon(8) for logging
    
Changelog: https://docs.rundeck.com/docs/history/3_4_x/version-3.4.10.html
    
MFH:            2023Q1
PR:             261748
Security:       27c822a0-addc-11ed-a9ee-dca632b19f10
Reported by:    ruben@verweg.com
Approved by:    ... (mentor)
sysutils/rundeck3/Makefile
2–7

This feels a bit strange, the definition of DISTNAME should be dropped, and the - added to DISTVERSIONSUFFIX instead.

In D38634#879856, @fuz wrote:

The proposed commit message is now:

sysutils/rundeck3: update to 3.4.10
    
 - use options -H amd -o to daemon(8) for logging

The commit message should explain WHY things are done, so, probably more like

use daemon(8)'s logging facilities instead of shell redirection so that log rotation can happen easily.

sysutils/rundeck3/Makefile
43–46

In ports, we don't usually quote strings.

sysutils/rundeck3/Makefile
2–7

This is the update as the maintainer has submitted it. The maintainer has since rescinded maintainership.

Would you like me to change this and the other thing with the quotes?
I usually try not to change things that are not outright wrong as the maintainer probably had some sort of intent when writing the port like this.

sysutils/rundeck3/Makefile
2–7

Well, the one reason we have committers is so that submissions gets screened and fixed to be in line with our policies.
You don't need to ask the maintainer for any approval to change their submission so that they fit our guidelines.
The intent of the maintainer, unless made explicit, is irrelevant.

fuz marked 2 inline comments as done.Feb 18 2023, 12:48 PM

+ Define LICENSE_FILE if available

Approved

This revision is now accepted and ready to land.Feb 19 2023, 8:49 AM